/*
 * eset_rtp (ESET Real-time file system protection module)
 * Copyright (C) 1992-2021 ESET, spol. s r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * In case of any questions, you can contact us at ESET, spol. s r.o., Einsteinova 24, 851 01 Bratislava, Slovakia.
 */

#include <linux/version.h>

#if (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,35))

#ifdef CONFIG_FTRACE_SYSCALLS

#include <linux/ftrace.h>
#include <linux/ftrace_event.h>

#ifdef CONFIG_EVENT_PROFILE

int reg_prof_syscall_enter(char *name)
{
	return -ENOSYS;
}

void unreg_prof_syscall_enter(char *name)
{
}

int reg_prof_syscall_exit(char *name)
{
	return -ENOSYS;
}

void unreg_prof_syscall_exit(char *name)
{
}

int syscall_name_to_nr(const char *name)
{
	return -1;
}

#endif /* CONFIG_EVENT_PROFILE */

void set_syscall_enter_id(int num, int id)
{
}

void set_syscall_exit_id(int num, int id)
{
}

enum print_line_t print_syscall_enter(struct trace_iterator *iter, int flags)
{
	return TRACE_TYPE_UNHANDLED;
}

enum print_line_t print_syscall_exit(struct trace_iterator *iter, int flags)
{
	return TRACE_TYPE_UNHANDLED;
}

void free_syscall_print_fmt(struct ftrace_event_call *call)
{
}

int syscall_enter_define_fields(struct ftrace_event_call *call)
{
	return -ENOSYS;
}

int set_syscall_print_fmt(struct ftrace_event_call *call)
{
	return -ENOSYS;
}

int syscall_exit_define_fields(struct ftrace_event_call *call)
{
	return -ENOSYS;
}

int reg_event_syscall_enter(struct ftrace_event_call *call)
{
	return -ENOSYS;
}

void unreg_event_syscall_exit(struct ftrace_event_call *call)
{
}

int reg_event_syscall_exit(struct ftrace_event_call *call)
{
	return -ENOSYS;
}

void unreg_event_syscall_enter(struct ftrace_event_call *call)
{
}

#endif /* CONFIG_FTRACE_SYSCALLS */

#endif /* (LINUX_VERSION_CODE < KERNEL_VERSION(2,6,35)) */
