/*
 * eset_rtp (ESET Real-time file system protection module)
 * Copyright (C) 1992-2021 ESET, spol. s r.o.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <https://www.gnu.org/licenses/>.
 *
 * In case of any questions, you can contact us at ESET, spol. s r.o., Einsteinova 24, 851 01 Bratislava, Slovakia.
 */

#ifdef CONFIG_IA32_EMULATION

#include <linux/version.h>

#if (LINUX_VERSION_CODE > KERNEL_VERSION(2,6,32))
#	include "../arch/x86/include/generated/uapi/asm/unistd_32.h"
#else
#	include "../arch/x86/include/asm/unistd_32.h"
#endif

#include "ertp_syscalls.h"

const int ERTP_SYSCALL_NUMBERS_32[N_ERTP_SYSCALLS] = {
	__NR_open,       /* ERTP_SYSCALL_open */
	__NR_openat,     /* ERTP_SYSCALL_openat */
	__NR_close,      /* ERTP_SYSCALL_close */
	__NR_exit,       /* ERTP_SYSCALL_exit */
	__NR_exit_group, /* ERTP_SYSCALL_exit_group */
	__NR_execve,     /* ERTP_SYSCALL_execve */
	__NR_dup2,       /* ERTP_SYSCALL_dup2 */
	__NR_dup3,       /* ERTP_SYSCALL_dup3 */
	__NR_unlink,     /* ERTP_SYSCALL_unlink */
	__NR_unlinkat,   /* ERTP_SYSCALL_unlinkat */
	__NR_rename,     /* ERTP_SYSCALL_rename */
	__NR_renameat,   /* ERTP_SYSCALL_renameat */
#if (LINUX_VERSION_CODE >= KERNEL_VERSION(3,15,0))
	__NR_renameat2,  /* ERTP_SYSCALL_renameat2 */
#endif
	__NR_mmap,       /* ERTP_SYSCALL_mmap */
};

#endif /* CONFIG_IA32_EMULATION */
